# module Tk::Tcllib::Autoscroll

### Constants

PACKAGE_NAME

### Public Class Methods

autoscroll(win) click to toggle source

    # File lib/tkextlib/tcllib/autoscroll.rb, line 52
    def self.autoscroll(win)
      Tk::Tcllib::Autoscroll.not_available
    end

not_available() click to toggle source

    # File lib/tkextlib/tcllib/autoscroll.rb, line 48
    def self.not_available
      fail RuntimeError, "'tkextlib/tcllib/autoscroll' extension is not available on your current environment."
    end

package_name() click to toggle source

    # File lib/tkextlib/tcllib/autoscroll.rb, line 36
    def self.package_name
      PACKAGE_NAME
    end

package_version() click to toggle source

    # File lib/tkextlib/tcllib/autoscroll.rb, line 40
    def self.package_version
      begin
        TkPackage.require('autoscroll')
      rescue
        ''
      end
    end

unautoscroll(win) click to toggle source

    # File lib/tkextlib/tcllib/autoscroll.rb, line 56
    def self.unautoscroll(win)
      Tk::Tcllib::Autoscroll.not_available
    end

unwrap() click to toggle source

    # File lib/tkextlib/tcllib/autoscroll.rb, line 153
    def self.unwrap
      # v1.1
      tk_call_without_enc('::autoscroll::unwrap')
    end

wrap() click to toggle source

    # File lib/tkextlib/tcllib/autoscroll.rb, line 148
    def self.wrap
      # v1.1
      tk_call_without_enc('::autoscroll::wrap')
    end